<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="..\packages\EntityFramework.6.4.4\build\EntityFramework.props" Condition="Exists('..\packages\EntityFramework.6.4.4\build\EntityFramework.props')" />
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{935999BB-D15E-4254-AC1A-AF748CACFB3C}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>MWS.Model</RootNamespace>
    <AssemblyName>MWS.Model</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.4.4\lib\net45\EntityFramework.dll</HintPath>
    </Reference>
    <Reference Include="EntityFramework.SqlServer, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <HintPath>..\packages\EntityFramework.6.4.4\lib\net45\EntityFramework.SqlServer.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Dto\ConfigDto.cs" />
    <Compile Include="Dto\DailyStatisticDto.cs" />
    <Compile Include="Dto\Gateway.cs" />
    <Compile Include="Dto\ManualCalibrationDto.cs" />
    <Compile Include="Dto\ComponentTagDto.cs" />
    <Compile Include="Dto\FixedCalibrationDto.cs" />
    <Compile Include="Dto\ModbusAreaTagDto.cs" />
    <Compile Include="Dto\DeviceTagDto.cs" />
    <Compile Include="Dto\PageResult.cs" />
    <Compile Include="Dto\RealTimeAlertDto.cs" />
    <Compile Include="Dto\RealTimeBarDto.cs" />
    <Compile Include="Dto\Result.cs" />
    <Compile Include="Dto\TagRecordDto.cs" />
    <Compile Include="Dto\RecordDto.cs" />
    <Compile Include="Dto\TagDto.cs" />
    <Compile Include="Dto\FuntionTagDto.cs" />
    <Compile Include="Dto\TotalDto.cs" />
    <Compile Include="Dto\UnitDto.cs" />
    <Compile Include="Model\AlertTagModel.cs" />
    <Compile Include="Model\DeviceComponentConfig.cs" />
    <Compile Include="Model\GearConverConfig.cs" />
    <Compile Include="Model\IndicatorConfigModel.cs" />
    <Compile Include="Model\IndicatorTagModel.cs" />
    <Compile Include="Model\MainDataModel.cs" />
    <Compile Include="Model\SystemConfig.cs" />
    <Compile Include="Model\TagModel.cs" />
    <Compile Include="Model\TagRecordModel.cs" />
    <Compile Include="Model\TagValue.cs" />
    <Compile Include="Model\TotalContactorModel.cs" />
    <Compile Include="Model\VariableGroup.cs" />
    <Compile Include="Model\WeightDataModel.cs" />
    <Compile Include="Model\WeightDataPickModel.cs" />
    <Compile Include="T_IncludedOperatorTag.cs" />
    <Compile Include="T_ManualCalibration.cs" />
    <Compile Include="T_Entrance.cs" />
    <Compile Include="T_FixedCalibration.cs" />
    <Compile Include="T_OperateRecord.cs" />
    <Compile Include="T_PLCNetwork.cs" />
    <Compile Include="Team.cs" />
    <Compile Include="T_Unit.cs" />
    <Compile Include="Device.cs" />
    <Compile Include="T_DeviceTag.cs" />
    <Compile Include="User.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="UserLog.cs" />
    <Compile Include="Record.cs" />
    <Compile Include="V_DeviceTag.cs" />
    <Compile Include="V_MenuTree.cs" />
    <Compile Include="Zigbee.cs" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>这台计算机上缺少此项目引用的 NuGet 程序包。使用“NuGet 程序包还原”可下载这些程序包。有关更多信息，请参见 http://go.microsoft.com/fwlink/?LinkID=322105。缺少的文件是 {0}。</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('..\packages\EntityFramework.6.4.4\build\EntityFramework.props')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\EntityFramework.6.4.4\build\EntityFramework.props'))" />
    <Error Condition="!Exists('..\packages\EntityFramework.6.4.4\build\EntityFramework.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\EntityFramework.6.4.4\build\EntityFramework.targets'))" />
  </Target>
  <Import Project="..\packages\EntityFramework.6.4.4\build\EntityFramework.targets" Condition="Exists('..\packages\EntityFramework.6.4.4\build\EntityFramework.targets')" />
</Project>